const mongoose = require("mongoose");
const Schema = mongoose.Schema;

const favrouriteSchema = new Schema({
    userId: {
        type: Schema.Types.ObjectId,
        ref: "User",
        required: true
    },
    shopId:{
        type: Schema.Types.ObjectId, 
        ref: "Shop",
        // required: true
    },
    productId: {
        type: Schema.Types.ObjectId,
        ref: "Product"
    }
});

const favouriteModel = mongoose.model("Favrouite", favrouriteSchema);
module.exports = favouriteModel;